Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] configure blcr errors openmpi 1.4.4
From: vlad_at_[hidden]
Date: 2011-10-31 10:04:38


Hi !

I am trying to compile openmpi 1.4.4 with Torque, Infiniband and blcr
checkpoint support on Puias Linux 6.x (free derivate of RHEL 6x).

all packages of blcr are installed (including header files blcr-devel)

even torque ..

torque-libs, openib libraries are found ..

But, when executing the ./configure script it does not find the right
libraries and header files even though they are located under the
specified path.

 ./configure --with-tm=/usr/local/ --with-openib
--prefix=/usr/mpi/gcc/openmpi-1.4.4 --with-blcr-libdir=/usr/lib64/
--with-blcr=/usr

last few lines of output of the ./configure run :

"..
checking for MCA component crs:blcr compile mode... dso
checking --with-blcr value... sanity check ok (/usr)
checking --with-blcr-libdir value... sanity check ok (/usr/lib64/)
configure: WARNING: BLCR support requested but not found. Perhaps you
need to specify the location of the BLCR libraries.
configure: error: Aborting.
.."

[root_at_gpu01 openmpi-1.4.4]# rpm -ql blcr-devel
/usr/include/blcr_common.h
/usr/include/blcr_errcodes.h[root_at_gpu01 openmpi-1.4.4]#[root_at_gpu01
openmpi-1.4.4]# rpm -ql blcr-libs
/usr/lib64/libcr.so.0
/usr/lib64/libcr.so.0.5.2
/usr/lib64/libcr_omit.so.0
/usr/lib64/libcr_omit.so.0.5.2
/usr/lib64/libcr_run.so.0
/usr/lib64/libcr_run.so.0.5.2
/usr/share/doc/blcr-libs-0.8.2 rpm -ql blcr-libs
/usr/lib64/libcr.so.0
/usr/lib64/libcr.so.0.5.2
/usr/lib64/libcr_omit.so.0
/usr/lib64/libcr_omit.so.0.5.2
/usr/lib64/libcr_run.so.0
/usr/lib64/libcr_run.so.0.5.2
/usr/share/doc/blcr-libs-0.8.2
/usr/include/blcr_ioctl.h
/usr/include/blcr_proc.h
/usr/include/libcr.h
/usr/lib64/libcr.so
/usr/lib64/libcr_omit.so
/usr/lib64/libcr_run.so
/usr/share/doc/blcr-devel-0.8.2
..."

"..
[root_at_gpu01 openmpi-1.4.4]# rpm -ql blcr-libs
/usr/lib64/libcr.so.0
/usr/lib64/libcr.so.0.5.2
/usr/lib64/libcr_omit.so.0
/usr/lib64/libcr_omit.so.0.5.2
/usr/lib64/libcr_run.so.0
/usr/lib64/libcr_run.so.0.5.2
/usr/share/doc/blcr-libs-0.8.2
.."

So, how can I set the right options for my requests in the
configure-script what exactly is it looking for (concerning blcr files ..)

Any help is appreciated,

Thanks and greetings from Salzburg/Austria/Europe

Vlad Popa